import QtQuick 2.0
import QtQuick.Window 2.2
import QtQuick.Controls 2.1

Dialog {
    modal: true
    focus: true
    x: Math.round((window.width - width) / 2)
    y: 70
    width: 350
    height: 500

    Label {
        id: label
        x: 7
        y: 42
        width: 77
        height: 22
        text: qsTr("NetID:")
    }

    TextField {
        id: textField
        x: 86
        y: 33
        text: qsTr("")
    }

    Label {
        id: label1
        x: 7
        y: 96
        width: 77
        height: 22
        text: qsTr("IP:")
    }

    TextField {
        id: textField1
        x: 86
        y: 87
        text: qsTr("")
    }

    Label {
        id: label2
        x: 7
        y: 157
        width: 77
        height: 22
        text: qsTr("Port:")
    }

    TextField {
        id: textField2
        x: 86
        y: 148
        text: qsTr("851")
    }

    Button {
        id: button
        x: 15
        y: 261
        width: 121
        height: 50
        text: qsTr("测试")
        onClicked: {
            var sta = explc.testPlc()
            if(sta == 5)
                label3.color = "limegreen"
            else
                label3.color = "crimson"
            label3.text = sta
        }
    }

    Button {
        id: button1
        x: 156
        y: 261
        width: 121
        height: 50
        text: qsTr("应用")
        onClicked: {
            exset.setNetId(textField.text)
            exset.setIP(textField1.text)
            exset.setPort(parseInt(textField2.text))
            var data=  explc.init()
            label3.text = data
        }
    }

    Text {
        id: label3
        x: 26
        y: 212
        width: 100
        height: 38
        text: qsTr("")

    }

    Component.onCompleted: {
        textField.text = exset.getNetId()
        textField1.text = exset.getIP()
        textField2.text = exset.getPort()
    }
}
