#ifndef SETTINGINTERFACE_H
#define SETTINGINTERFACE_H

#include <QObject>
#include <QSettings>

class SettingInterface : public QObject
{
    Q_OBJECT
public:
    explicit SettingInterface(QObject *parent = nullptr);

    Q_INVOKABLE void setNetId(QString netid);
    Q_INVOKABLE QString getNetId();

    Q_INVOKABLE void setIP(QString IP);
    Q_INVOKABLE QString getIP();

    Q_INVOKABLE void setPort(int port);
    Q_INVOKABLE int getPort();

protected:
    QSettings m_setting;

signals:

public slots:
};

#endif // SETTINGINTERFACE_H
